%define name daemontools
%define version 0.70
%define release 6mdk

Name:		%{name}
Summary:	DJB daemontools
Version:	%{version}
Release:	%{release}
License:	D. J. Bernstein
Group:		System/Servers
URL:		http://cr.yp.to/daemontools.html
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-%{version}-man.tar.bz2
Patch0:		daemontools-mdk80.patch.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
supervise monitors a service. It starts the service and restarts the
service if it dies. The companion svc program stops, pauses, or restarts
the service on sysadmin request. The svstat program prints a one-line
status report.

multilog saves error messages to one or more logs.  It optionally timestamps
each line and, for each log, includes or excludes lines matching specified
patterns.  It automatically rotates logs to limit the amount of disk space
used.  If the disk fills up, it pauses and tries again, without losing any
data.


%prep
%setup -q
%setup -q -T -D -c -a 1 -n %{name}-%{version}
%patch0 -p1


%build
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
mkdir -p %{buildroot}

echo "gcc %{optflags}" >conf-cc
echo "gcc -s %{optflags}" >conf-ld
echo "%{_prefix}" >conf-home

make


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
install -s -m 755 svscan supervise svc svok svstat fghack multilog tai64n \
  tai64nlocal softlimit envuidgid envdir setlock %{buildroot}%{_bindir}
install -s -m 700 setuidgid %{buildroot}%{_bindir}
install -m 644 %{name}-%{version}-man/*.8 %{buildroot}%{_mandir}/man8


%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr (-,root,root)
%doc CHANGES README TODO VERSION
%{_bindir}/svscan
%{_bindir}/supervise
%{_bindir}/svc
%{_bindir}/svok
%{_bindir}/svstat
%{_bindir}/fghack
%{_bindir}/multilog
%{_bindir}/tai64n
%{_bindir}/tai64nlocal
%{_bindir}/softlimit
%{_bindir}/envuidgid
%{_bindir}/envdir
%{_bindir}/setlock
%{_bindir}/setuidgid
%{_mandir}/man8/envdir.8.*
%{_mandir}/man8/envuidgid.8.*
%{_mandir}/man8/fghack.8.*
%{_mandir}/man8/multilog.8.*
%{_mandir}/man8/setlock.8.*
%{_mandir}/man8/setuidgid.8.*
%{_mandir}/man8/softlimit.8.*
%{_mandir}/man8/supervise.8.*
%{_mandir}/man8/svc.8.*
%{_mandir}/man8/svok.8.*
%{_mandir}/man8/svscan.8.*
%{_mandir}/man8/svstat.8.*
%{_mandir}/man8/tai64n.8.*
%{_mandir}/man8/tai64nlocal.8.*


%changelog
* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.70-6mdk
- rebuild

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.70-5mdk
- included patch to compile under Mandrake 8.0 from Thomas Mangin
  <systems-thomas@legend.co.uk>
- spec cleanups
- proper optimizations

* Sat Oct 28 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.70-4mdk
- more macros
- remove Packager tag

* Wed Jul 19 2000 Vincent Danen <vdanen@mandrakesoft.com> 0.70-3mdk
- macroization
- cleanup spec

* Wed Apr 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.70-2mdk
- fix group

* Wed Apr 26 2000 Vincent Danen <vdanen@linux-mandrake.com> 0.70-1mdk
- 0.70
- update specfile for spec-helper
- added URL
- new description

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- bzip manpages

* Mon Apr 27 1998 Sergiusz Pawlowicz <ser@serek.arch.pwr.wroc.pl>
- first build for redhat-5.1, PGCC!
- added redhat.patch     
